//
// Written by Sander van Rossen
//	You are free to use this piece of code any way you like
//
#pragma once


//
// Some microsoft visual c++ specific compiler settings
//
#ifdef _MSC_VER


//
// Disable the following warnings:
//
#	pragma warning( disable : 4786 ) // 'identifier' : identifier was truncated to 'number' characters in the debug information
#	pragma warning( disable : 4284 ) // return type for 'identifier::operator ->' is not a UDT or reference to a UDT. Will produce errors if applied using infix notation
#	pragma warning( disable : 4250 ) // 'class1' : inherits 'class2::member' via dominance
#	pragma warning( disable : 4002 ) // too many actual parameters for macro 'identifier'
#	pragma warning( disable : 4311 ) // 'variable' : pointer truncation from 'type' to 'type'



//
// warning 4786 "disabled but still shows warning" bug in msvc6 workaround
// ..god knows why this works
//
class  msVC6_4786WorkAround { public: msVC6_4786WorkAround(){} };
static msVC6_4786WorkAround WowIWonderWhatCrapCodeMustBeInTheCompilerToMakeThisWorkaroundWork;



//
// Set the following optimalisations on
//		
#	pragma inline_depth( 255 )
#	pragma inline_recursion( on )
#	define INLINE __forceinline


#else//!_MSC_VER_


//
// Set the following optimalisations on
//
#	define	INLINE	inline


#endif
